Bug 1314159 - [DOCS] Document per container rootfs sizes & default [NEEDINFO]
[DOCS] Document per container rootfs sizes & default
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic (Show other bugs)
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Yoana Ruseva
Vivek Goyal
Vikram Goyal
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2016-03-03 00:43 EST by Vikram Goyal
Modified: 2016-07-11 16:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-11 16:22:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vigoyal: needinfo? (vgoyal)

Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-03-03 00:43:48 EST
In 7.2.3, the default rootfs size is set to (10 or 20 GB).

Document for this user story:

* the default rootfs size
* how to set the container rootfs size as a docker CLI option
* mention that the user can only increase the size and not decrease it

Likely Guide:
Getting Started with Containers

Trello Card:
Comment 3 Yoana Ruseva 2016-06-22 13:35:52 EDT
Documented in: 

7.7. Increasing the Base Device Size


Not everything mentioned in the Trello card has been implemented yet, so I documented it as it is today.
Comment 4 Vivek Goyal 2016-06-22 16:58:40 EDT
@yoana, I clicked on the link and did not see your changes. What am I missing.

Shishir, can you please also review the changes.
Comment 5 Vikram Goyal 2016-06-23 18:42:44 EDT
Hey Vivek,

This should be available here: https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/#increasing_the_base_device_size

Let me know if you can see the changes?
Comment 6 Yoana Ruseva 2016-07-11 16:22:06 EDT
Documented in 7.7. Increasing the Base Device Size:


Closing this bug. Vivek, reopen if the text needs more work. If it needs substantial rework or there are new features, please open a new bug for 7.2.6.

Note You need to log in before you can comment on or make changes to this bug.